com.google.gwt.aria.client

## Interface CheckboxRole

- All Superinterfaces:
    InputRole, Role, WidgetRole
  All Known Subinterfaces:
    MenuitemcheckboxRole, MenuitemradioRole, RadioRole
  All Known Implementing Classes:
    CheckboxRoleImpl, MenuitemcheckboxRoleImpl, MenuitemradioRoleImpl, RadioRoleImpl

      public interface CheckboxRole
      extends InputRole

  A type that represents the checkbox role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaCheckedState(Element element)` Returns the value of the aria-checked attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaCheckedState(Element element)` Removes the aria-checked attribute from the `element`.
    `void` | `setAriaCheckedState(Element element, CheckedValue value)` Sets the aria-checked attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaCheckedState

          java.lang.String getAriaCheckedState(Element element)

      Returns the value of the aria-checked attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaCheckedState

          void removeAriaCheckedState(Element element)

      Removes the aria-checked attribute from the `element`.

    - #### setAriaCheckedState

          void setAriaCheckedState(Element element,
                                   CheckedValue value)

      Sets the aria-checked attribute for the `element` to the given `value`.